package com.td.WaDa.game.comcntorder.service;

import com.td.WaDa.common.service.*;
import com.td.WaDa.game.comcntorder.pojo.ComCntOrder;
import com.td.WaDa.game.comcntorder.vo.ComCntOrderPayTypeSumVo;
import com.td.WaDa.game.comcntorder.vo.ComCntOrderVo;

import java.util.Date;
import java.util.List;

public interface ComCntOrderService extends CommonService<ComCntOrderVo, ComCntOrder, String> {

    ComCntOrderVo findByTx(String tx);

    List<ComCntOrder>  findByUserIdAndPayType(String userId,Integer payType);

    //返回一个全部总量，需要去除负数情况，负数另外计算
    List<ComCntOrderPayTypeSumVo> findAllCNTSumGroupByPayType();

    //返回一个日期查找的总量，需要去除负数情况，负数另外计算
    List<ComCntOrderPayTypeSumVo> findAllCNTSumGroupByPayTypeFromDate(Date startTime, Date endTime);



}
